INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('abandonedcart5','HTML','Was there a problem with your order?','A template to use to send emails to customers who did not finish an order after 5 hours.',
'<style type="text/css">
<!--
.style2 {font-size: 10px}
-->
</style>
<table width="600" height="338" border="1" cellspacing="0">
  <tr>
    <td height="39" bgcolor="#CCCCCC"><div align="center">$!settings.map.storeName</div></td>
  </tr>
  <tr>
    <td height="211" valign="top"><p>Hello,</p>
    <p>During routine maintenance, we noticed that you did not complete your order with us today. If you experienced problems or have any questions or need assistance, please do not hesitate to contact us!</p>
    <p>Thank you</p>
    <p>$!settings.map.storeName</p></td>
  </tr>
  <tr>
    <td height="78" valign="top" bgcolor="#CCCCCC"><div align="center">
      <p><span class="style2">$!settings.map.storeName<br />
        $!settings.map.storeAddress1<br />
        $!settings.map.storeAddress2<br />
        $!settings.map.storeCity, $!settings.map.storeStateOrProvince, $!setting.map.storePostalCode</span><br />
        <br />
      </p>
    </div></td>
  </tr>
</table>',
'Hello,

During routine maintenance, we noticed that you did not complete your order with us today. 

If you experienced problems or have any questions or need assistance, please do not hesitate to contact us!

Thank you
$!settings.map.storeName

---
$!settings.map.storeName
$!settings.map.storeAddress1
$!settings.map.storeAddress2
$!settings.map.storeCity, $!settings.map.storeStateOrProvince, $!setting.map.storePostalCode

',
'1');
INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('followupemail10','HTML','Follow up for order $!order.OrderNumber','A template to use to send emails to as a follow up after 10 days.',
'<style type="text/css">
<!--
h1 { margin: 0 0 .5em 0; padding: .25em 0; font-size: 2em; color: #333; }
div#slate { margin: 0; padding: 0; background: #fff; text-align:center;}
div#wrapper { position: relative; margin:0 auto; padding: 1em 0 0 0; width: 600px; text-align: left; }
#content { margin: 0; padding: 0;  }
div#content p { margin: 0 0 1em 0; }
.clearit:after { content: "."; display: block; height: 0; clear: both; visibility: hidden;}
table#orderInformation td, table#contactInformation td { width: 50%; }
table.tabDetails { width: 100%; margin: 0 0 .5em 0; border: 1px solid #ccc; }
table.tabDetails th, .tabDetails td { position: relative; padding: .25em; vertical-align: top; }
table.tabDetails th { text-align: left; padding: .5em .25em; background: #eee; border-bottom: 1px solid #ccc; }
td#shippingInfoData { border-top: 1px solid #ccc; }
td.orderTotalLabel { text-align: right; width: 90%; }
td.orderTotalAmount { text-align: right; width: 10%; }
td#totalLabel { font-weight: bold; background: #eee; }
td#totalAmount { font-weight: bold; background: #eee; }
table.tabDetails td.total { text-align: right; }
td { font-size: 12px; } 
-->
</style>
<div id="slate">
<div id="wrapper" class="clearit">
<div id="main" class="clearit">
<div id="content">
<h1>$settings.map.storeName</h1>
<table id="orderInformation" class="tabDetails" cellspacing="0" summary="Your Order Information">
<tr>
<th>
Follow up for order $order.orderNumber
</th>
</tr>
<tr>
<td>
<p>Greetings,</p>
<p>We thought we would follow up on your recent order to make sure you received it in good order and are completely satisfied with your purchase.</p>
<p>If you have any comments, questions, or concerns of any kind, please do not hesitate to contact us.</p>
<p>Thank you for shopping with us!</p>
<br /><br />
</td>
</tr>
</table>
<table id="orderInformation" class="tabDetails" cellspacing="0" summary="Your Order Information">
<tr>
<td id="orderStatusDetails">
<strong class="label">Order Number:</strong> $!order.orderNumber <br />
<strong class="label">Completed Date:</strong> $!order.formattedCompleted <br />
#if("$!order.trackingNumber" != "")<strong class="label">Tracking Number:</strong> $!order.trackingNumber <br /> #end
#if("$!order.status" != "")<strong class="label">Status:</strong> $!order.status <br /> #end
#if("$!order.statusDetails" != "")<strong class="label">Details:</strong> $!order.statusDetails #end
</td>
<td id="storeDetails">
#if("$!settings.map.storeEmailAddress" != "")$!settings.map.storeEmailAddress <br />#end
#if("$!settings.map.storePhone" != "")$!settings.map.storePhone <br />#end
<a href="$!settings.map.customerURL">$!settings.map.customerURL</a><br />
</td>
</tr>
</table>
<table id="orderItems" class="tabDetails" cellspacing="0" summary="Your order contents.">
<tr>
<th>Code</th>
<th>Name</th>
<th>Quantity</th>
<th class="total">Total</th>
</tr>
#foreach( $orderItem in $order.firstDelivery().getOrderItemCollection() )
<tr>
<td style="background-color:#E9E9E9">$orderItem.Code</td>
<td style="background-color:#E9E9E9">$orderItem.Name</td>
<td style="background-color:#E9E9E9">$orderItem.Quantity</td>
<td style="background-color:#E9E9E9">$orderItem.Total</td>
</tr>
#end
</table>
</div>
</div>
</div>
</div>
',
'Follow up for order $order.orderNumber

Greetings,

We thought we would follow up on your recent order to make sure you received it in good order and are completely satisfied with your purchase.

If you have any comments, questions, or concerns of any kind, please do not hesitate to contact us.

Thank you for shopping with us!
                                       
Order Information

Store Details
$!settings.map.storeName
$!settings.map.storeAddress1
$!settings.map.storeAddress2
$!settings.map.storeCity,  $!settings.map.storeStateOrProvince  $!settings.map.storePostalCode
$!settings.map.storeCountry
$!settings.map.storeEmailAddress
$!settings.map.storePhone

Order Number: $!order.orderNumber
Completed Date: $!order.formattedCompleted
Tracking Number: $!order.trackingNumber
Status: $!order.status
Details: $!order.statusDetails

Billing Address
$!order.billingFirstName $!order.billingLastName
$!order.billingOrganization
$!order.billingAddress1
$!order.billingAddress2
$!order.billingCity,  $!order.billingState  $!order.billingPostalCode
$!order.billingCountry
$!order.billingPhone1
$!order.billingEmail1

Delivery Address
$!order.firstDelivery().deliveryFirstName $!order.firstDelivery().deliveryLastName
$!order.firstDelivery().deliveryOrganization
$!order.firstDelivery().deliveryAddress1
$!order.firstDelivery().deliveryAddress2
$!order.firstDelivery().deliveryCity,  $!order.firstDelivery().deliveryState  $!order.firstDelivery().deliveryPostalCode
$!order.firstDelivery().deliveryCountry
$!order.firstDelivery().deliveryPhone1
$!order.firstDelivery().deliveryEmail1

Shipping Method: $!order.shippingMethod

Order Items
#foreach( $orderItem in $order.firstDelivery().getOrderItemCollection() )
Code: $orderItem.Code
Name: $orderItem.Name
Quantity: $orderItem.Quantity
Total: $orderItem.Total

#end

',
'1');
INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('ordershipped','HTML','Order $!order.OrderNumber Has Shipped','A template to use to send emails about shipped orders.',
'<style type="text/css">
<!--
h1 { margin: 0 0 .5em 0; padding: .25em 0; font-size: 2em; color: #333; }
div#slate { margin: 0; padding: 0; background: #fff; text-align:center;}
div#wrapper { position: relative; margin:0 auto; padding: 1em 0 0 0; width: 600px; text-align: left; }
#content { margin: 0; padding: 0;  }
div#content p { margin: 0 0 1em 0; }
.clearit:after { content: "."; display: block; height: 0; clear: both; visibility: hidden;}
table#orderInformation td, table#contactInformation td { width: 50%; }
table.tabDetails { width: 100%; margin: 0 0 .5em 0; border: 1px solid #ccc; }
table.tabDetails th, .tabDetails td { position: relative; padding: .25em; vertical-align: top; }
table.tabDetails th { text-align: left; padding: .5em .25em; background: #eee; border-bottom: 1px solid #ccc; }
td#shippingInfoData { border-top: 1px solid #ccc; }
td.orderTotalLabel { text-align: right; width: 90%; }
td.orderTotalAmount { text-align: right; width: 10%; }
td#totalLabel { font-weight: bold; background: #eee; }
td#totalAmount { font-weight: bold; background: #eee; }
table.tabDetails td.total { text-align: right; }
td { font-size: 12px; } 
-->
</style>
<div id="slate">
<div id="wrapper" class="clearit">
<div id="main" class="clearit">
<div id="content">
<h1>$settings.map.storeName</h1>
<table id="orderInformation" class="tabDetails" cellspacing="0">
<tr>
<th>
Your order has shipped!  Order Number: $order.orderNumber
</th>
</tr>
<tr>
<td>
<p>Greetings,</p>
<p>We thought we would let you know that we shipped the items from your recent order.</p>
#if("$!linkedTrackingNumber" != "")<p>You can track the progress of your shipment through this link: 
<a target="_blank" href="$!linkedTrackingNumber">!$order.trackingNumber</a></p>#end
<p>Thank you for shopping with us!</p>
<br /><br />
</td>
</tr>
</table>
<table id="orderInformation" class="tabDetails" cellspacing="0">
<tr>
<td id="orderStatusDetails">
<strong>Order Number:</strong> $!order.orderNumber <br />
<strong>Completed Date:</strong> $!order.formattedCompleted <br />
<strong>Tracking Number:</strong> $!order.trackingNumber <br />
<strong>Status:</strong> $!order.status
</td>
<td id="storeDetails">
$!settings.map.storeEmailAddress <br />
#if("$!settings.map.storePhone" != "")$!settings.map.storePhone <br />#end
<a href="$!settings.map.customerURL">$!settings.map.customerURL</a><br />
</td>
</tr>
</table>
<table id="contactInformation" class="tabDetails" cellspacing="0" summary="Your Contact Information">
<tr>
<th>Shipping Information</th>
</tr>
<tr>
<td id="deliveryInfoData">
$!order.firstDelivery().deliveryFirstName &nbsp; $!order.firstDelivery().deliveryLastName <br />
#if("$!order.firstDelivery().deliveryOrganization" != "")$!order.firstDelivery().deliveryOrganization <br />#end
$!order.firstDelivery().deliveryAddress1 <br />
#if("$!order.firstDelivery().deliveryAddress2" != "")$!order.firstDelivery().deliveryAddress2 <br />#end
#if("$!order.firstDelivery().deliveryCity" != "")$!order.firstDelivery().deliveryCity, #end
$!order.firstDelivery().deliveryState 
$!order.firstDelivery().deliveryPostalCode <br />
$!order.firstDelivery().deliveryCountry <br />
#if("$!order.firstDelivery().deliveryPhone1" != "")$!order.firstDelivery().deliveryPhone1 <br />#end
$!order.firstDelivery().deliveryEmail1 <br />
</td>
</tr>
<tr>
<td id="shippingInfoData">
<strong>Shipping Method:</strong> $!order.shippingMethod
</td>
</tr>
</table>
<table id="orderItems" class="tabDetails" cellspacing="0">
<tr>
<th>Code</th>
<th>Name</th>
<th>Quantity</th>
<th class="total">Total</th>
</tr>
#foreach( $orderItem in $order.firstDelivery().getOrderItemCollection() )
<tr>
<td style="background-color:#E9E9E9">$orderItem.Code</td>
<td style="background-color:#E9E9E9">$orderItem.Name</td>
<td style="background-color:#E9E9E9">$orderItem.Quantity</td>
<td style="background-color:#E9E9E9">$orderItem.Total</td>
</tr>
#end
</table>
</div>
</div>
</div>
</div>',
'Order $order.orderNumber has Shipped!

Greetings,

We thought we would let you know that we shipped the items from your recent order. #if("$!linkedTrackingNumber" != "")You can track the progress of your shipment through this link: $!linkedTrackingNumber.#end

Thank you for shopping with us!
                                       
Order Information

Order Number: $!order.orderNumber
Completed Date: $!order.formattedCompleted
Tracking Number: $!order.trackingNumber
Status: $!order.status
Details: $!order.statusDetails

Store Details
$!settings.map.storeName
$!settings.map.customerURL
$!settings.map.storeAddress1
$!settings.map.storeAddress2
$!settings.map.storeCity,  $!settings.map.storeStateOrProvince  $!settings.map.storePostalCode
$!settings.map.storeCountry
$!settings.map.storeEmailAddress
$!settings.map.storePhone

Billing Address
$!order.billingFirstName $!order.billingLastName
$!order.billingOrganization
$!order.billingAddress1
$!order.billingAddress2
$!order.billingCity,  $!order.billingState  $!order.billingPostalCode
$!order.billingCountry
$!order.billingPhone1
$!order.billingEmail1

Delivery Address
$!order.firstDelivery().deliveryFirstName $!order.firstDelivery().deliveryLastName
$!order.firstDelivery().deliveryOrganization
$!order.firstDelivery().deliveryAddress1
$!order.firstDelivery().deliveryAddress2
$!order.firstDelivery().deliveryCity,  $!order.firstDelivery().deliveryState  $!order.firstDelivery().deliveryPostalCode
$!order.firstDelivery().deliveryCountry
$!order.firstDelivery().deliveryPhone1
$!order.firstDelivery().deliveryEmail1

Shipping Method: $!order.shippingMethod

Order Items
#foreach( $orderItem in $order.firstDelivery().getOrderItemCollection() )
Code: $orderItem.Code
Name: $orderItem.Name
Quantity: $orderItem.Quantity
Total: $orderItem.Total

#end

',
'1');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('recordEmailsInDatabase','Record Sent Emails?','If true, the Enterprise Edition will record certain emails in the database for advanced features.','EMAIL', 'booleanValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('useSendGrid', 'Use SendGrid to Send Emails?', 'If true, the system will use the below SendGrid settings and code to send email instead of the above SMTP settings.', 'EMAIL', 'booleanValue', 0, NULL, NULL, NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('sendgridSMTPServer','SMTP Server for SendGrid','The domain name or IP address of the SMTP server for the store when using SendGrid.','EMAIL','mediumValue',NULL,NULL,'smtp.sendgrid.net',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('sendgridSMTPUsername','SMTP Server User Name for SendGrid','The user name used to connect to the SendGrid SMTP server.','EMAIL','mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('sendgridSMTPPassword','SMTP Server Password for SendGrid','The password used to connect to the SendGrid SMTP server.','EMAIL','encryptedValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('sendgridSMTPPort','SMTP Server Port for SendGrid','The port number used to connect to the SendGrid SMTP server.','EMAIL','integerValue',587,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('MonitorJob-isOn','Monitor Job - Is On','Turn the job on or off','MonitorJob', 'booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('MonitorJob-longRunningMinutes','Monitor Job - Long Running Minutes','Log any jobs that have been running longer than this many minutes.','MonitorJob', 'integerValue','10',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-isOn','Abandoned Cart Job - Is On','Turn the job on or off','AbandonedCartEmailJob', 'booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-emailsDaysThreshold','Abandoned Cart Job - Email Days Threshold','Number of days to avoid sending to the same email address.','AbandonedCartEmailJob', 'integerValue','10',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-ordersDaysThreshold','Abandoned Cart Job - Orders Days Threshold','Number of days to avoid sending to people who have actually completed an order.','AbandonedCartEmailJob', 'integerValue','10',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-lookbackHoursStart','Abandoned Cart Job - Lookback Hours Start','Start of range of hours with no activity that should be looked at each run.','AbandonedCartEmailJob', 'integerValue','6',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-lookbackHoursEnd','Abandoned Cart Job - Lookback Hours End','End of range of hours with no activity that should be looked at each run.','AbandonedCartEmailJob', 'integerValue','5',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-templateCode','Abandoned Cart Job - Template Code','The code of the template to use for the emails.','AbandonedCartEmailJob', 'mediumValue',NULL,NULL,'abandonedcart5',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-emailType','Abandoned Cart Job - Email Type','A code used for this type of email when recorded in the email table.   Can be used to look for duplicates, on reports, and other things.   This is required.','AbandonedCartEmailJob', 'smallValue',NULL,'AbandonedCartEmail-5',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-optOutType','Abandoned Cart Job - Opt Out Type','The opt out type that will be used to filter against the opt out table. Use ALL if the address exists no matter what opt out type.  Choose NONE to not filter with the opt outs.','AbandonedCartEmailJob', 'smallValue',NULL,'Marketing',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-sendEmailsPerRun','Abandoned Cart Job - Send Emails Per Run','The maximum amount of emails to send out per run.   Use this to throttle the job to not send all emails at the same time.','AbandonedCartEmailJob', 'integerValue','20',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-ccEmails','Abandoned Cart Job - CC Emails','A comma-separated list of email addresses that will be copied on all Abandoned Cart Emails.','AbandonedCartEmailJob', 'textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('AbandonedCartEmailJob-bccEmails','Abandoned Cart Job - BCC Emails','A comma-separated list of email addresses that will be blind-copied on all Abandoned Cart Emails.','AbandonedCartEmailJob', 'textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('ReindexLuceneJob-isOn','Reindex Lucene Job - Is On','Turn the job on or off','ReindexLuceneJob', 'booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CustomerFollowUpJob-isOn','Customer Follow Up Job - Is On','Turn the job on or off','CustomerFollowUpJob', 'booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CustomerFollowUpJob-daysSinceCompleted','Customer Follow Up Job - Days Since Completed','Number of days to wait before sending follow up email.','CustomerFollowUpJob', 'integerValue','10',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CustomerFollowUpJob-templateCode','Customer Follow Up Job - Template Code','The code of the template to use for the emails.','CustomerFollowUpJob', 'mediumValue',NULL,NULL,'followupemail10',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CustomerFollowUpJob-emailType','Customer Follow Up Job - Email Type','A code used for this type of email when recorded in the email table.   Can be used to look for duplicates, on reports, and other things.   This is required.','CustomerFollowUpJob', 'smallValue',NULL,'CustomerFollowUpJob-10',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CustomerFollowUpJob-ignoreStatuses','Customer Follow Up Job - Ignore Statuses','A list of order statuses that should be ignored.','CustomerFollowUpJob', 'mediumValue',NULL,NULL,'Cancelled,Canceled',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CustomerFollowUpJob-sendEmailsPerRun','Customer Follow Up Job - Send Emails Per Run','The maximum amount of emails to send out per run.   Use this to throttle the job to not send all emails at the same time.','CustomerFollowUpJob', 'integerValue','20',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CustomerFollowUpJob-optOutType','Customer Follow Up Job - Opt Out Type','The opt out type that will be used to filter against the opt out table. Use ALL if the address exists no matter what opt out type.  Choose NONE to not filter with the opt outs.','CustomerFollowUpJob', 'smallValue',NULL,'Order Life Cycle',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CustomerFollowUpJob-ccEmails','Customer Follow Up Job - CC Emails','A comma-separated list of email addresses that will be copied on all Customer Follow Up Emails.','CustomerFollowUpJob', 'textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CustomerFollowUpJob-bccEmails','Customer Follow Up Job - BCC Emails','A comma-separated list of email addresses that will be blind-copied on all Customer Follow Up Emails.','CustomerFollowUpJob', 'textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('optOutTypes','Email Opt Out Types','A comma-separated list of opt-out types.  Users can opt out of certain types of emails or all emails.','EMAIL','textValue',NULL,NULL,NULL,'ALL, NONE, Order Life Cycle,  Marketing, Newsletter, Updates');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('OrderShippedJob-isOn','Order Shipped Job - Is On','Turn the job on or off','OrderShippedJob', 'booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('OrderShippedJob-templateCode','OrderShippedJob - Template Code','The code of the template to use for the emails.','OrderShippedJob', 'mediumValue',NULL,NULL,'ordershipped',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('OrderShippedJob-emailType','Order Shipped Job - Email Type','A code used for this type of email when recorded in the email table.   Can be used to look for duplicates, on reports, and other things.   This is required.','OrderShippedJob', 'smallValue',NULL,'OrderShippedJob',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('OrderShippedJob-currentStatuses','OrderShippedJob - Current Statuses','A list of order statuses that should be used to help determine if a shipped email should be sent.','OrderShippedJob', 'mediumValue',NULL,NULL,'Complete,Shipped',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('OrderShippedJob-optOutType','Order Shipped Job - Opt Out Type','The opt out type that will be used to filter against the opt out table. Use ALL if the address exists no matter what opt out type.  Choose NONE to not filter with the opt outs.','OrderShippedJob', 'smallValue',NULL,'Order Life Cycle',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('OrderShippedJob-sendEmailsPerRun','Order Shipped Job - Send Emails Per Run','The maximum amount of emails to send out per run.   Use this to throttle the job to not send all emails at the same time.','OrderShippedJob', 'integerValue','20',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('OrderShippedJob-ccEmails','Order Shipped Job - CC Emails','A comma-separated list of email addresses that will be copied on all Order Shipped Emails.','OrderShippedJob', 'textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('OrderShippedJob-bccEmails','Order Shipped Job - BCC Emails','A comma-separated list of email addresses that will be blind-copied on all Order Shipped Emails.','OrderShippedJob', 'textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactUserName','Constant Contact User Name','The user name of your Constant Contact account.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactPassword','Constant Contact Password','The password of your Constant Contact account.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactAPIKey','Constant Contact API Key','The API key of your Constant Contact account, which may be obtained <a href="http://community.constantcontact.com/t5/Documentation/API-Keys/ba-p/25015">here</a>.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactContactForm','Create Subscribers from Contact Form','Define if and how subscribers in your Constant Contact account should be created when users submit the contact form. (Manage other contact form settings from the <a href="SettingsContactForm.do">Contact Form Settings screen</a>.)','CONSTANTCONTACT', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactContactFormOptInPrompt','Contact Form Opt In Prompt','If the above setting, Create Subcribers from Contact Form, is set to Subscribe Only Users Who Opt In, a field will appear on the contact form allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactContactFormListID','Contact Form Subscriber List ID','The ID of the subscriber list in your Constant Contact account that users who sign up from the contact form should be added to. You must create the list in the your Constant Contact account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)','CONSTANTCONTACT', 'integerValue',1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactCustomerRegistration','Create Subscribers As Customers Register','Define if and how subscribers in the Constant Contact system should be created when users create a customer account.','CONSTANTCONTACT', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactCustomerRegistrationOptInPrompt','Customer Registration Opt In Prompt','If the above setting, Create Subscribers As Customers Register, is set to Subscribe Only Users Who Opt In, a field will appear on the customer registration form allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactCustomerRegistrationListID','Customer Registration Subscriber List ID','The list ID of the subscriber list in the Constant Contact system that users who sign up as they register should be added to. You must create the list in the your Constant Contact account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)','CONSTANTCONTACT', 'integerValue',1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactCheckout','Create Subscribers During Checkout','Define if and how subscribers in the Constant Contact system should be created when users go through checkout (specifically, submit the Checkout Addresses screen).','CONSTANTCONTACT', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactCheckoutOptInPrompt','Checkout Opt In Prompt','If the above setting, Create Subscribers During Checkout, is set to Subscribe Only Users Who Opt In, a field will appear on the Checkout Addresses screen allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('constantContactCheckoutListID','Checkout Subscriber List ID','The list ID of the subscriber list in the Constant Contact system that users who sign up during checkout should be added to. You must create the list in the your Constant Contact account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)','CONSTANTCONTACT', 'integerValue',1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('mailChimpAPIKey','MailChimp API Key','The API key of your MailChimp account, which may be obtained <a href="http://kb.mailchimp.com/article/where-can-i-find-my-api-key#generating">here</a>.','MAILCHIMP', 'mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('mailChimpContactForm','Create Subscribers from Contact Form','Define if and how subscribers in your MailChimp account should be created when users submit the contact form. (Manage other contact form settings from the <a href="SettingsContactForm.do">Contact Form Settings screen</a>.)','MAILCHIMP', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('mailChimpContactFormOptInPrompt','Contact Form Opt In Prompt','If the above setting, Create Subcribers from Contact Form, is set to Subscribe Only Users Who Opt In, a field will appear on the contact form allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','MAILCHIMP', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('mailChimpContactFormListID','Contact Form Subscriber List ID','The ID of the subscriber list in your MailChimp account that users who sign up from the contact form should be added to. You must create the list in the your MailChimp account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)<br>Find the list ID <a href="http://kb.mailchimp.com/article/where-can-i-find-my-api-key#generating">here</a>.','MAILCHIMP', 'smallValue',NULL,1,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('mailChimpCustomerRegistration','Create Subscribers As Customers Register','Define if and how subscribers in the MailChimp system should be created when users create a customer account.','MAILCHIMP', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('mailChimpCustomerRegistrationOptInPrompt','Customer Registration Opt In Prompt','If the above setting, Create Subscribers As Customers Register, is set to Subscribe Only Users Who Opt In, a field will appear on the customer registration form allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','MAILCHIMP', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('mailChimpCustomerRegistrationListID','Customer Registration Subscriber List ID','The list ID of the subscriber list in the MailChimp system that users who sign up as they register should be added to. You must create the list in the your MailChimp account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)','MAILCHIMP', 'smallValue',NULL,1,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('mailChimpCheckout','Create Subscribers During Checkout','Define if and how subscribers in the MailChimp system should be created when users go through checkout (specifically, submit the Checkout Addresses screen).','MAILCHIMP', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('mailChimpCheckoutOptInPrompt','Checkout Opt In Prompt','If the above setting, Create Subscribers During Checkout, is set to Subscribe Only Users Who Opt In, a field will appear on the Checkout Addresses screen allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','MAILCHIMP', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('mailChimpCheckoutListID','Checkout Subscriber List ID','The list ID of the subscriber list in the MailChimp system that users who sign up during checkout should be added to. You must create the list in the your MailChimp account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)','MAILCHIMP', 'smallValue',NULL,1,NULL,NULL);

