UPDATE sscSetting SET smallValue='3.1.0' WHERE code='dataObjectsVersion';

UPDATE sscSetting SET mediumValue='pilot-payflowpro.paypal.com' WHERE code='payflowProHostAddress' AND mediumValue = 'test-payflow.verisign.com';
UPDATE sscSetting SET mediumValue='payflowpro.paypal.com' WHERE code='payflowProHostAddress' AND mediumValue = 'payflow.verisign.com';
UPDATE sscSetting SET description='The host name used to connect to the Payflow Pro account. Use <strong>pilot-payflowpro.paypal.com</strong> for test transactions and <strong>payflowpro.paypal.com</strong> for live transactions.' WHERE code='payflowProHostAddress';
UPDATE sscSetting SET name='Payflow User', description='The user name used to log into the Payflow Pro account. This is typically the same as the PayPal Vendor unless you have created a separate user.' WHERE code='payflowProUser';
UPDATE sscSetting SET name='Payflow Vendor', description='The Merchant Login ID established when you created your Payflow Account.' WHERE code='payflowProVendor';
UPDATE sscSetting SET name='Payflow Partner', description='The PayPal Partner used to log into the Payflow Pro account. If you created your account directly with PayPal, your Partner is <strong>PayPal</strong>.' WHERE code='payflowProPartner';
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProVerbosity','Verbosity Level','The verbosity level of the Payflow Pro responses. Current valid values are LOW or MEDIUM.','payflowPro', 'smallValue', NULL,'MEDIUM',NULL,NULL);
UPDATE sscSetting SET mediumValue = smallValue, smallValue = NULL, valueType = 'encryptedValue' WHERE code = 'payflowProPassword';
UPDATE sscSetting SET mediumValue = smallValue, smallValue = NULL, valueType = 'encryptedValue' WHERE code = 'payflowProProxyPassword';
UPDATE sscSetting SET mediumValue = smallValue, smallValue = NULL, valueType = 'encryptedValue' WHERE code = 'paypalUKPassword';
UPDATE sscSetting SET mediumValue = smallValue, smallValue = NULL, valueType = 'encryptedValue' WHERE code = 'paypalUKProxyPassword';
UPDATE sscSetting SET mediumValue = smallValue, smallValue = NULL, valueType = 'encryptedValue' WHERE code = 'paypalAPIPassword';
UPDATE sscSetting SET mediumValue = smallValue, smallValue = NULL, valueType = 'encryptedValue' WHERE code = 'paypalPrivateKeyPassword';
UPDATE sscSetting SET valueType = 'encryptedValue' WHERE code = 'UPS_password';
UPDATE sscSetting SET valueType = 'encryptedValue' WHERE code = 'storeSMTPPassword';
