<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="col-xs-12 col-md-6">
	<div class="panel panel-primary flush">
		<div class="panel-heading">
			<p class="instructions panel-title"><bean:message key="accountPassword.instructions" bundle="/customer"/></p>
		</div>
		<div class="panel-body">
			<form id="accountPasswordForm" name="registerForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/UpdatePassword.do")%>" method="post">

				<%--Cross-site request forgery token--%>
				<html:hidden name="updatePasswordForm" property="csrfToken" value="${sessionScope.csrfToken}"/>

				<%--User name/email field--%>
				<div class="form-group">
					<label for="loginUserName">
						<c:if test="${keepUserNameAndEmailInSync eq '1'}">
							<bean:message key="customer.email" bundle="/customer"/>:
						</c:if>
						<c:if test="${keepUserNameAndEmailInSync ne '1'}">
							<bean:message key="customer.userName" bundle="/customer"/>:
						</c:if>
					</label>
					<html:text styleId="loginUserName" styleClass="textbox form-control" name="updatePasswordForm" property="userName"/>
				</div>

				<%--Password field--%>
				<div class="form-group">
					<label for="loginDecryptedPassword">
						<bean:message key="customer.password" bundle="/customer"/>:
					</label><br>
					<html:password styleId="loginDecryptedPassword" styleClass="textbox form-control" name="updatePasswordForm" property="decryptedPassword"/>
				</div>

				<%--Confirm Password field--%>
				<div class="form-group">
					<label for="confirmPassword">
						<bean:message key="customer.confirmPassword" bundle="/customer"/>:
					</label>
					<html:password styleId="confirmPassword" styleClass="textbox form-control" name="updatePasswordForm" property="confirmPassword"/>
				</div>

				<%--Submit button--%>
				<span id="accountPasswordButton" class="buttonWrap"><input type="submit" class="btn btn-primary" value="<bean:message key="accountPassword.button" bundle="/customer"/>" /></span>

			</form>
		</div>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
