<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<tiles:importAttribute name="subcategories"/>
<c:set var="bsColSpan" value="4"/>
<c:if test="${!empty subcategories and !subcategories['empty']}">
	<div class="subcategoryList columnList">
		<div class="row flush">
			<c:if test="${requestScope.supressSubcategoriesHeading ne 'true' and !currentCategory.isContentPage}">
				<div class="col-xs-12"><h2><bean:message key="category.subcategories" bundle="/product"/></h2></div>
			</c:if>
			<div class="col-xs-12">
				<div class="list-group">
					<logic:iterate name="subcategories" id="category">
						<c:set var="linkAction" value="Category.do"/>
						<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
						<c:if test="${category.isActive}">
							<ssc:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code" styleId="subcategory-${category.code}" styleClass="category list-group-item col-md-${bsColSpan}">
								<%-- Category image --%>
								<c:if test="${!empty category.smallImage}">
									<div class="image">
										<img class="img-responsive" src="${category.smallImage}"<c:if test="${!empty category.name}"> title="${category.name}" alt="${category.name}"</c:if>/>
									</div>
								</c:if>
								<%-- Category name --%>
								<c:if test="${!empty category.name}">
									<div class="name">
										<c:out value="${category.name}" escapeXml="false"/>
									</div>
								</c:if>
							</ssc:link>
						</c:if>
					</logic:iterate>
				</div>
			</div>
		</div>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
