<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start leftSide.jsp -->
<c:if var="facetsToDisplay" scope="request" test="${settings.map.advancedSearchEnableFacetedSearch eq '1' and settings.map.advancedSearchDisplayFacetedSearchWidget eq '1' and !empty requestScope.searchList.facetResultCollection and !empty searchList.searchListCollection}"/>
<%-- The search form --%>
<c:if test="${settings.map.displaySearchForm eq '1' }">
	<tiles:insert attribute="searchForm" />
</c:if>
<%-- The browse by category box --%>
<c:if test="${settings.map.displayCategoryTree eq '1' and (!facetsToDisplay or settings.map.hideCategoryTreeWhenFacetsToDisplay eq '0')}">
	<tiles:insert attribute="categoryTree" />
</c:if>
<%-- Faceted Search Widget --%>
<c:if test="${facetsToDisplay}">
	<tiles:insert attribute="facetedSearch" />
</c:if>
<%-- The mini-cart --%>
<c:if test="${settings.map.miniCartItemCount > 0 }">
	<tiles:insert attribute="miniCart" />
</c:if>
<%-- The built-in categories --%>
<c:if test="${settings.map.builtInCategoryProductCount > 0 and !empty builtInCategories}">
	<tiles:insert attribute="features" />
</c:if>
<%-- List of manufacturers --%>
<c:if test="${settings.map.miniManufacturersCount > 0 and !empty manufacturers and !manufacturers['empty']}">
	<tiles:insert attribute="manufacturers" />
</c:if>
<%-- List of store discounts --%>
<c:if test="${settings.map.storeDiscountsCount > 0 and !empty storeDiscounts and !storeDiscounts['empty']}">
	<tiles:insert attribute="storeDiscounts" />
</c:if>
<%-- Current category --%>
<c:if test="${settings.map.currentCategoryProductCount > 0 and pageTitleKey ne 'page.category' and !empty lastVisitedCategory.productListCollection}">
	<tiles:insert attribute="miniCategory">
		<tiles:put name="category" beanName="lastVisitedCategory"/>
	</tiles:insert>
</c:if>
<!-- End leftSide.jsp -->
