<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start attributesAndOptionsMatrix.jsp -->
<table class="attributeMatrix chart" summary="Attributes and options">
	<tr>
		<logic:iterate name="product" property="productAttributes" id="pa">
			<c:if var="wrongType" test="${pa.attribute.attributeType ne 'compact' and pa.attribute.attributeType ne 'expanded'}"/>
			<c:if test="${pa.attribute.attributeIsActive and !wrongType}">
				<th><c:out value="${pa.attribute.attributeName}"/></th>
			</c:if>
		</logic:iterate>
		<th><bean:message key="product.unitPrice" bundle="/product"/></th>
		<th><bean:message key="productList.quantityLabel" bundle="/product"/></th>
	</tr>
	<logic:iterate name="matrix" id="row" indexId="i">
		<tr>
			<logic:iterate name="row" id="option">
				<td>
					<input type="hidden" name="<c:out value="${product.code}|${option.attribute.attributeCode}"/>" value="<c:out value="${option.optionCode}"/>"/>
					<c:out value="${option.optionName}"/>
				</td>
			</logic:iterate>
			<td>
				<c:set var="oprice" value="${pa.attribute.attributeUnitPrice + product.unitPrice}"/>
				<c:if var="replacedPrice" test="${false}"/>
				<logic:iterate name="row" id="option">
					<c:set var="oprice" value="${oprice + option.optionUnitPrice}"/>
				</logic:iterate>
				<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
					<c:out value="${oprice}"/>
				</fmt:formatNumber>
			</td>
			<td>
				<input type="hidden" name="orderProductCodes" value="<c:out value="${product.code}"/>"/>
				<label class="hidden" for="<c:out value="${product.code}|${option.attribute.attributeCode}"/>"><bean:message key="productList.quantityLabel" bundle="/product"/></label>
				<c:set var="quantityValue" value="0"/>
				<c:if test="${!empty cartAddForm and !empty cartAddForm.orderProductQuantities and !empty cartAddForm.orderProductQuantities[i]}">
					<c:set var="quantityValue" value="${cartAddForm.orderProductQuantities[i]}"/>
				</c:if>
				<input type="text" id="<c:out value="${product.code}|${option.attribute.attributeCode}"/>" name="orderProductQuantities" value="<c:out value="${quantityValue}"/>" size="3"/>
			</td>
		</tr>
	</logic:iterate>
</table>
<!-- End attributesAndOptionsMatrix.jsp -->
