package com.softslate.commerce.administrator.administrator;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseAction;

/**
 * 
 * @author David Tobey
 * 
 */
public class AdministratorChangePasswordFormAction extends BaseAction {

	static Log log = LogFactory.getLog(AdministratorChangePasswordFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		AdministratorChangePasswordForm baseForm = (AdministratorChangePasswordForm) form;
		baseForm.initializeProperties(mapping, request);

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home", "Administrator Change Password Form" });
		request.setAttribute("breadcrumbs", bcs);

		request.setAttribute("administratorAddEditForm", baseForm);
		return mapping.findForward("success");
	}
}
