package com.softslate.commerce.businessobjects.payment.paypal;

public final class PayPalConstants {
	
//////////////////////////////////////////
//NVP Params
//////////////////////////////////////////	
	
	//Auth related
	public static final String USER			= "USER";
	public static final String VENDOR		= "VENDOR";		
	public static final String PARTNER		= "PARTNER";
	public static final String PWD			= "PWD";

	public static final String VERBOSITY			= "VERBOSITY";
	
	public static final String TENDER	= "TENDER";
	public static final String TRXTYPE	= "TRXTYPE";

	public static final String AUTH_TRXTYPE		= "A";
	public static final String AUTH_AUTHENTICATE_TRXTYPE = "AA";
	public static final String AUTH_AUTHENTICATE_SALE_TRXTYPE = "AAS";

	public static final String CAPTURE_TRXTYPE	= "D";
	public static final String SALE_TRXTYPE		= "S";
	public static final String CREDIT_TRXTYPE	= "C";
	public static final String VOID_TRXTYPE		= "V";
	
	public static final String ACCT			= "ACCT";
	public static final String ACCTTYPE		= "ACCTTYPE";
	public static final String AMT			= "AMT";
	public static final String ITEM_AMT		= "ITEMAMT";
	public static final String ITEM_TOTAL	= "ITEMTOTAL";
	public static final String STREET		= "STREET";
	public static final String CITY			= "CITY";
	public static final String STATE		= "STATE";
	public static final String COUNTRY		= "COUNTRY";
	public static final String ZIP			= "ZIP";
	public static final String BUTTONSOURCE	= "BUTTONSOURCE";
	public static final String CARDISSUE	= "CARDISSUE";
	public static final String CARDSTART	= "CARDSTART";
	public static final String CLIENTIP		= "CLIENTIP";
	public static final String COMMENT1		= "COMMENT1";
	public static final String COMMENT2		= "COMMENT2";
	public static final String COMPLETETYPE	= "COMPLETETYPE";
	public static final String CURRENCY		= "CURRENCY";
	public static final String CUSTOM		= "CUSTOM";
	public static final String CUSTREF		= "CUSTREF";
	public static final String CVV2			= "CVV2";
	public static final String EMAIL		= "EMAIL";
	public static final String EXPDATE		= "EXPDATE";
	public static final String NAME			= "NAME";	
	public static final String FIRSTNAME	= "FIRSTNAME";
	public static final String LASTNAME		= "LASTNAME";
	public static final String ORIGID		= "ORIGID";
	public static final String ACTION		= "ACTION";
	public static final String BILLTOCOUNTRY= "BILLTOCOUNTRY";
	public static final String COMPANYNAME  = "COMPANYNAME";
	public static final String CUSTCODE 	= "CUSTCODE";
	public static final String CUSTIP 		= "CUSTIP";
	public static final String DL 			= "DL";
	public static final String DOB 			= "DOB";
	public static final String FREIGHTAMT 	= "FREIGHTAMT";
	public static final String INVNUM 		= "INVNUM";
	public static final String MIDDLENAME   = "MIDDLENAME";
	public static final String NOTE 		= "NOTE";
	public static final String PHONENUM 	= "PHONENUM";
	public static final String SHIPTOCITY	= "SHIPTOCITY";
	public static final String SHIPTOCOUNTRY= "SHIPTOCOUNTRY";
	public static final String SHIPTOFIRSTNAME 	= "SHIPTOFIRSTNAME";
	public static final String SHIPTOLASTNAME	= "SHIPTOLASTNAME";
	public static final String SHIPTOMIDDLENAME = "SHIPTOMIDDLENAME";
	public static final String SHIPTOSTATE  = "SHIPTOSTATE";
	public static final String SHIPTOSTREET = "SHIPTOSTREET";
	public static final String SHIPTOZIP 	= "SHIPTOZIP";
	public static final String SS 			= "SS";
	public static final String SWIPE 		= "SWIPE";
	public static final String TAXAMT 		= "TAXAMT";	
	
	public static final String ABA			=	"ABA";
	public static final String AUTHTYPE		=	"AUTHTYPE";
	public static final String CHKNUM		=	"CHKNUM";
	public static final String DESC			=	"DESC";
	public static final String PONUM		=	"PONUM";

	//Response
	public static final String RESULT			= "RESULT";
	public static final String RESPMSG			= "RESPMSG";
	public static final String PNREF			= "PNREF";
	public static final String AVS_ADDR_RESP	= "AVSADDR";
	public static final String AVS_ZIP_RESP		= "AVSZIP";
	public static final String AVS_CVV2_RESP	= "CVV2MATCH";
	public static final String AUTH_CODE_RESP	= "AUTHCODE";
	public static final String TOKEN			= "TOKEN";
	public static final String PAYERID			= "PAYERID";	
	
  //VALUES	
	//ACH VALUES
	public static final String ACH_TENDER_TYPE 	= "A";
	public static final String ACH_TRX_TYPE 	= "S";	
	
	public static final String DIRECT_PAYMENT_TENDER = "C";
	public static final String EXPRESS_PAYMENT_TENDER = "P";

	public static final String EXPRESS_ACTION_SET 	= "S";
	public static final String EXPRESS_ACTION_GET 	= "G";
	public static final String EXPRESS_ACTION_DO 	= "D";
	
	public static final Object ORDER_DESC 	= "ORDERDESC";
	public static final Object RETURNURL 	= "RETURNURL";
	public static final Object CANCELURL 	= "CANCELURL";
	public static final Object BUSINESS 	= "BUSINESS";
	public static final Object PAYERSTATUS 	= "PAYERSTATUS";
	public static final Object PENDINGREASON= "PENDINGREASON";
	public static final Object PAYMENTTYPE 	= "PAYMENTTYPE";


}
