package com.softslate.commerce.daos.core;

/**
 * Exception class for exceptions thrown by DAOs.
 * 
 * @author David Tobey
 */
public class DataAccessException extends Exception {

    private static final long serialVersionUID = 5121144267463840842L;

    public DataAccessException() {
        super();
    }

    public DataAccessException(String message) {
        super(message);
    }

    public DataAccessException(String message, Throwable cause) {
        super(message, cause);
    }

    public DataAccessException(Throwable cause) {
        super(cause);
    }
}
