ALTER TABLE sscCustomerAddress ADD paymentToken VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD creditCardName VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD creditCardType VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD creditCardDate VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD creditCardNumberDisplay VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD identifier VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD isBilling bool not null default false;
UPDATE sscCustomerAddress SET isBilling = false;

ALTER TABLE sscCustomer ADD passwordToken VARCHAR(100);
ALTER TABLE sscCustomer ADD passwordTokenDate VARCHAR(100);

ALTER TABLE sscCustomer ADD canUsePO bool not null default false;
UPDATE sscCustomer SET canUsePO = false;

ALTER TABLE sscRequestLog ADD searchString VARCHAR(255);
CREATE INDEX sscRL_searchString ON sscRequestLog (searchString);

create table sscOrderSetting (
	orderSettingID int4 not null, 
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.order.OrderSettingBean', 
	orderID int4, 
	code varchar(100) not null, 
	name varchar(100), 
	description varchar(255), 
	type varchar(100), 
	valueType varchar(16) not null, 
	integerValue int4, 
	smallValue varchar(64), 
	mediumValue varchar(255), 
	textValue text, 
	primary key (orderSettingID),
	unique (orderID, code)
);

alter table sscOrderSetting add constraint FK_orderSetting foreign key (orderID) references sscOrder;

ALTER TABLE sscProduct ADD created VARCHAR(100);
