<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start breadcrumbs.jsp -->
<c:set var="administratorURL" value="${settings.map.administratorURL}"/>
<c:set var="textIndext" value="0"/>
<c:if test="${!empty breadcrumbs and screen ne '/WEB-INF/templates/administrator/default/core/welcome.jsp'}">
	<div id="crumbs">
		<div id="innerCrumbs">
			<c:forEach var="breadcrumb" items="${breadcrumbs}" varStatus="i">
				<% if (pageContext.getAttribute("breadcrumb") instanceof java.lang.String) { %>
					<c:set var="navElement" scope="request" value="${breadcrumb}"/>
					<ssc:insert page="/WEB-INF/templates/administrator/default/core/navigationLookup.jsp"/>
					<c:set var="styleClass" value="inactive"/>
					<c:if test="${i.last}">
						<c:set var="styleClass" value="active"/>
						<c:set var="navigationLink" scope="request" value=""/>
					</c:if>
					<c:if test="${i.index == 1}"><br/>&nbsp;&nbsp;&nbsp;&nbsp;</c:if>
					<c:if test="${i.index == 3}"><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</c:if>
					<c:if test="${i.index == 5}"><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</c:if>
					<span class="<c:out value="${styleClass}"/>">
					<c:choose><c:when test="${!empty navigationLink}"><a href="<%=response.encodeURL(pageContext.getAttribute("administratorURL") + "" + request.getAttribute("navigationLink"))%>" class="crumb"><c:out value="${navigationName}" escapeXml="false"/></a></c:when><c:otherwise><span class="crumb"><c:out value="${navigationName}" escapeXml="false"/></span></c:otherwise></c:choose>
					<c:if test="${!i.last}">
						&nbsp;&nbsp;&#8594;&nbsp;&nbsp;
					</c:if>
					</span>
					
				<%-- Support for legacy, pre-3.0 breadcrumbs. --%>
				<% } else if (pageContext.getAttribute("breadcrumb") instanceof java.util.Map) { %>
					<c:set var="navigationLink" scope="request" value="${breadcrumb.link}"/>
					<c:set var="styleClass" value="inactive"/>
					<c:if test="${i.last}">
						<c:set var="styleClass" value="active"/>
						<c:set var="navigationLink" scope="request" value=""/>
					</c:if>
					<c:if test="${i.index == 1}"><br/>&nbsp;&nbsp;&nbsp;&nbsp;</c:if>
					<c:if test="${i.index == 3}"><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</c:if>
					<c:if test="${i.index == 5}"><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</c:if>
					<span class="<c:out value="${styleClass}"/>">
					<c:choose><c:when test="${!empty navigationLink}"><a href="<%=response.encodeURL(pageContext.getAttribute("administratorURL") + "" + request.getAttribute("navigationLink"))%>" class="crumb"><c:out value="${breadcrumb.label}" escapeXml="false"/></a></c:when><c:otherwise><span class="crumb"><c:out value="${breadcrumb.label}" escapeXml="false"/></span></c:otherwise></c:choose>
					<c:if test="${!i.last}">
						&nbsp;&nbsp;&#8594;&nbsp;&nbsp;
					</c:if>
					</span>
				<% } %>
			</c:forEach>
		</div>
	</div>
</c:if>
<!-- End breadcrumbs.jsp -->
