<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start pageParameters.jsp -->

<bean:define id="itemCount" name="itemCount" type="java.lang.Integer"/>
<bean:define id="itemsPerPage" name="mainForm" property="itemsPerPage" type="java.lang.String"/>
<bean:define id="firstRow" name="mainForm" property="firstRow" type="java.lang.String"/>

<%
	int itemCountInt = itemCount.intValue();
	int itemsPerPageInt = Integer.parseInt(itemsPerPage);
	int firstRowInt = Integer.parseInt(firstRow);
	int lastRowInt = firstRowInt + itemsPerPageInt - 1;
	if (lastRowInt > itemCountInt) lastRowInt = itemCountInt;
%>

<div class="pageParameters">
	<bean:message key="administrator.pageParameters" arg0="<%= firstRow %>" arg1="<%= new Integer(lastRowInt).toString() %>" arg2="<%= itemCount.toString() %>" bundle="/administrator/administrator"/>
	
	<c:if test="${!empty mainForm.searchString}">
		<br/>
		<bean:message key="administrator.matching" bundle="/administrator/administrator"/> '<c:out value="${mainForm.searchString}"/>'
	</c:if>
	
	<br/>
	
	<bean:message key="administrator.sortedBy" bundle="/administrator/administrator"/>&nbsp;
	<c:out value="${mainForm.sortByString}"/>&nbsp;
	<c:if test="${mainForm.sortAscOrDesc eq 'ASC'}">
		<bean:message key="administrator.ascending" bundle="/administrator/administrator"/>
	</c:if>
	<c:if test="${mainForm.sortAscOrDesc eq 'DESC'}">
		<bean:message key="administrator.descending" bundle="/administrator/administrator"/>
	</c:if>
</div>
<!-- End pageParameters.jsp -->
