<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsGeneralDisplay.jsp -->
<c:set var="administratorURL" value="${settings.map.administratorURL}" />

<div class="instructions">
	Use this form to define the font and colors used on all pages throughout the store.
</div>

<br/>

<script type="text/javascript">
	var openerFormName = 'settingsFormGeneralDisplay'; 
	var openerFieldName = 'mainColor';
	var openerSampleID = 'mainColorSample';
	var openerSampleProperty = 'backgroundColor';
</script>
<html:form action="/SettingsProcessGeneralDisplay" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="GENERALDISPLAY">
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
						<%--Font family radio buttons--%>
						<c:when test="${setting.code eq 'fontFamily'}">
							<c:set var="otherFontFamily" value=""/>
							<c:if test="${setting.smallValue ne '' 
								and setting.smallValue ne 'Arial, Helvetica, sans-serif;'
								and setting.smallValue ne 'Impact, Charcoal, sans-serif;'
								and setting.smallValue ne 'Times New Roman ,Times, serif;'
								and setting.smallValue ne 'Arial Black, Gadget, sans-serif;'
								and setting.smallValue ne 'Lucida Console, Monaco, monospace;'
								and setting.smallValue ne 'Trebuchet MS, Helvetica, sans-serif;'
								and setting.smallValue ne 'Comic Sans MS, Textile, cursive;'
								and setting.smallValue ne 'Lucida Sans Unicode, Lucida Grande, sans-serif;'
								and setting.smallValue ne 'Verdana, Geneva, sans-serif;'
								and setting.smallValue ne 'Courier New, Courier, monospace;'
								and setting.smallValue ne 'Palatino Linotype, Book Antiqua, Palatino, serif;'
								and setting.smallValue ne 'MS Sans Serif, Geneva, sans-serif;'
								and setting.smallValue ne 'Georgia, Times New Roman, Times, serif;'
								and setting.smallValue ne 'Tahoma, Geneva, sans-serif;'
								and setting.smallValue ne 'MS Serif, New York, serif;'}">
								<c:set var="otherFontFamily" value="${setting.smallValue}"/>
							</c:if>
							<tr class="row">
								<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
								<td class="value">
<table>
	<tr>
		<td style="font-size: 14pt; font-family: Arial, Helvetica, sans-serif;">
			<input id="Arial" type="radio" name="fontFamily" value="Arial, Helvetica, sans-serif;"
				<c:if test="${setting.smallValue eq 'Arial, Helvetica, sans-serif;'}"> checked=""</c:if>/>
			<label for="Arial">Arial</label>
		</td>
		<td style="font-size: 14pt; font-family: Impact, Charcoal, sans-serif;">
			<input id="Impact" type="radio" name="fontFamily" value="Impact, Charcoal, sans-serif;"
				<c:if test="${setting.smallValue eq 'Impact, Charcoal, sans-serif;'}"> checked=""</c:if>/>
			<label for="Impact">Impact</label>
		</td>
		<td style="font-size: 14pt; font-family: Times New Roman ,Times, serif;">
			<input id="Times" type="radio" name="fontFamily" value="Times New Roman ,Times, serif;"
				<c:if test="${setting.smallValue eq 'Times New Roman ,Times, serif;'}"> checked=""</c:if>/>
			<label for="Times">Times New Roman</label>
		</td>
	</tr>
	<tr>
		<td style="font-size: 14pt; font-family: Arial Black, Gadget, sans-serif;">
			<input id="Arial Black" type="radio" name="fontFamily" value="Arial Black, Gadget, sans-serif;"
				<c:if test="${setting.smallValue eq 'Arial Black, Gadget, sans-serif;'}"> checked=""</c:if>/>
			<label for="Arial Black">Arial Black</label>
		</td>
		<td style="font-size: 14pt; font-family: Lucida Console, Monaco, monospace;">
			<input id="Console" type="radio" name="fontFamily" value="Lucida Console, Monaco, monospace;"
				<c:if test="${setting.smallValue eq 'Lucida Console, Monaco, monospace;'}"> checked=""</c:if>/>
			<label for="Console">Lucida Console</label>
		</td>
		<td style="font-size: 14pt; font-family: Trebuchet MS, Helvetica, sans-serif;">
			<input id="Trebuchet" type="radio" name="fontFamily" value="Trebuchet MS, Helvetica, sans-serif;"
				<c:if test="${setting.smallValue eq 'Trebuchet MS, Helvetica, sans-serif;'}"> checked=""</c:if>/>
			<label for="Trebuchet">Trebuchet MS</label>
		</td>
	</tr>
	<tr>
		<td style="font-size: 14pt; font-family: Comic Sans MS, Textile, cursive;">
			<input id="Comic" type="radio" name="fontFamily" value="Comic Sans MS, Textile, cursive;"
				<c:if test="${setting.smallValue eq 'Comic Sans MS, Textile, cursive;'}"> checked=""</c:if>/>
			<label for="Comic">Comic Sans MS</label>
		</td>
		<td style="font-size: 14pt; font-family: Lucida Sans Unicode, Lucida Grande, sans-serif;">
			<input id="Lucida" type="radio" name="fontFamily" value="Lucida Sans Unicode, Lucida Grande, sans-serif;"
				<c:if test="${setting.smallValue eq 'Lucida Sans Unicode, Lucida Grande, sans-serif;'}"> checked=""</c:if>/>
			<label for="Lucida">Lucida Grande</label>
		</td>
		<td style="font-size: 14pt; font-family: Verdana, Geneva, sans-serif;">
			<input id="Verdana" type="radio" name="fontFamily" value="Verdana, Geneva, sans-serif;"
				<c:if test="${setting.smallValue eq 'Verdana, Geneva, sans-serif;'}"> checked=""</c:if>/>
			<label for="Verdana">Verdana</label>
		</td>
	</tr>
	<tr>
		<td style="font-size: 14pt; font-family: Courier New, Courier, monospace;">
			<input id="Courier" type="radio" name="fontFamily" value="Courier New, Courier, monospace;"
				<c:if test="${setting.smallValue eq 'Courier New, Courier, monospace;'}"> checked=""</c:if>/>
			<label for="Courier">Courier</label>
		</td>
		<td style="font-size: 14pt; font-family: Palatino Linotype, Book Antiqua, Palatino, serif;">
			<input id="Palatino" type="radio" name="fontFamily" value="Palatino Linotype, Book Antiqua, Palatino, serif;"
				<c:if test="${setting.smallValue eq 'Palatino Linotype, Book Antiqua, Palatino, serif;'}"> checked=""</c:if>/>
			<label for="Palatino">Book Antiqua, Palatino</label>
		</td>
		<td style="font-size: 14pt; font-family: MS Sans Serif, Geneva, sans-serif;">
			<input id="MS Sans Serif" type="radio" name="fontFamily" value="MS Sans Serif, Geneva, sans-serif;"
				<c:if test="${setting.smallValue eq 'MS Sans Serif, Geneva, sans-serif;'}"> checked=""</c:if>/>
			<label for="MS Sans Serif">MS Sans Serif</label>
		</td>
	</tr>
	<tr>
		<td style="font-size: 14pt; font-family: Georgia, Times New Roman, Times, serif;">
			<input id="Georgia" type="radio" name="fontFamily" value="Georgia, Times New Roman, Times, serif;"
				<c:if test="${setting.smallValue eq 'Georgia, Times New Roman, Times, serif;'}"> checked=""</c:if>/>
			<label for="Georgia">Georgia</label>
		</td>
		<td style="font-size: 14pt; font-family: Tahoma, Geneva, sans-serif;">
			<input id="Tahoma" type="radio" name="fontFamily" value="Tahoma, Geneva, sans-serif;"
				<c:if test="${setting.smallValue eq 'Tahoma, Geneva, sans-serif;'}"> checked=""</c:if>/>
			<label for="Tahoma">Tahoma</label>
		</td>
		<td style="font-size: 14pt; font-family: MS Serif, New York, serif;">
			<input id="MS Serif" type="radio" name="fontFamily" value="MS Serif, New York, serif;"
				<c:if test="${setting.smallValue eq 'MS Serif, New York, serif;'}"> checked=""</c:if>/>
			<label for="MS Serif">MS Serif</label>
		</td>
	</tr>
</table>
<input id="Other" type="radio" name="fontFamily" value="Other"<c:if test="${!empty otherFontFamily or empty setting.smallValue}"> checked=""</c:if>/>
<label for="Other">Other:</label> <input type="text" size="50" maxlength="255" name="otherFontFamily" value="<c:out value="${otherFontFamily}"/>"/>
							 	<br/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
					  </tr>
					</c:when>
					<c:when test="${setting.code eq 'fontSize'}">
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:when>
					<c:otherwise>
						<c:if test="${setting.code eq 'mainColor'}">
							<tr class="altRow">
								<td class="setting" colspan="2">
									Legacy settings that apply to the default-xhtml layout only:
								</td>
							</tr>
						</c:if>
						<tr class="altRow">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" style="margin-bottom: -.2em;" size="10" maxlength="64" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${setting.smallValue}"/>"/>
								<c:if test="${!empty setting.smallValue}">
									&nbsp;
									<span id="<c:out value="${setting.code}"/>Sample" style="padding: 4px; background-color: <c:out value="${setting.smallValue}"/>; font-family: <c:out value="${settings.map.fontFamily}"/>">
										<c:out value="${setting.name}"/> Preview - Save Settings to Change
									</span>
								</c:if>
								&nbsp;
								<a onclick="window.open('<c:out value="${administratorURL}"/>/colorpicker/colorpicker.html','_blank','height=260,width=340,scrollbars=yes'); openerFieldName = '<c:out value="${setting.code}"/>'; openerSampleID = '<c:out value="${setting.code}"/>Sample'; openerSampleProperty = 'backgroundColor'; return false;" target="_blank" href="<c:out value="${administratorURL}"/>/colorpicker/colorpicker.html">
									Change</a>
								<br/>
								<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsGeneralDisplayEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">Related Actions</h3>
	<ul class="helpLinkList">
		<li><a href="SettingsStoreLogo.do">Store Logo Upload form</a></li>
	</ul>
</div>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Customize the look and feel using CSS">
				<p>Instead of using the above settings, you can customize the CSS style definitions in use by the store with the custom.css file in the /css/custom directory.
				Use that file to add new style definitions or override those of the themes, and they will be incorporated automatically.
				Editing custom.css will not affect future store upgrades. Upgrades will not overwrite that file.</p>
				<p>The above font and color settings will take precedence over the styles defined in custom.css, unless they are left blank.
				If they are defined, CSS styles for them will be outputted in the head section of the HTML source of all the store pages.</p>
				<p>For full details, please visit the <a href="http://www.softslate.com/documentation/html/cssThemes.html">CSS Themes section</a> of the User Guide.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Create a new layout for the store using JSP">
				<p>For complete control over your store's look and feel, you may create custom versions of each of the JSP templates used by the store.
				Visit the chapter on <a href="http://www.softslate.com/documentation/html/creatingCustomLayout.html">Creating a Custom Layout</a> of the User Guide for full details.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Show different layouts to different visitors">
				<p>For even more flexibility with your store's look and feel, you can create multiple layouts and show different ones to 
				different users based on the value of the URL parameter named "layout". </p>
				<p>For full details, visit the chapter on <a href="http://www.softslate.com/documentation/html/multipleCustomLayouts.html">Multiple Custom Layouts</a> of the User Guide.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsGeneralDisplay.jsp -->
