<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start sendEmailsForm.jsp -->
<div class="orderMoreScreen">

	<p class="instructions">
		By default, a confirmation email is sent to each customer who completes an order, in
		addition to a notification email sent to the store administrator. This form allows you
		to resend either or both emails, in case a problem happened with the original emails,
		or in case the status of the order has changed. 
	</p>
							
	<!-- Send Emails Form -->
	<html:form action="/SendEmails" method="post">
		<html:hidden name="sendEmailsForm" property="orderID" />
		<table class="settingsTable">
			<tr class="row">
				<td class="property">
					Order ID:
				</td>
				<td class="value">
					<bean:write name="orderAddEditForm" property="orderID" />
				</td>
			</tr>
			<tr class="altRow">
				<td class="property">
					Order Number:
				</td>
				<td class="value">
					<bean:write name="orderAddEditForm" property="orderNumber" />
				</td>
			</tr>
			<tr class="row">
				<td class="property">
					Customer Email:
				</td>
				<td class="value">
					<bean:write name="orderAddEditForm" property="email1" />
				</td>
			</tr>
			<tr class="altRow">
				<td class="property">Send Customer Email:</td>
				<td class="value">
					<html:radio name="sendEmailsForm" property="sendCustomerEmail" value="true"/> yes
					&nbsp;&nbsp;
					<html:radio name="sendEmailsForm" property="sendCustomerEmail" value="false"/> no
				</td>
			</tr>
			<tr class="row">
				<td class="property">Send Administrator Notification Email:</td>
				<td class="value">
					<html:radio name="sendEmailsForm" property="sendNotificationEmail" value="true"/> yes
					&nbsp;&nbsp;
					<html:radio name="sendEmailsForm" property="sendNotificationEmail" value="false"/> no
				</td>
			</tr>
			<tr class="altRow">
				<td class="property">Send Gift Certificate Notification Emails (if any):</td>
				<td class="value">
					<html:radio name="sendEmailsForm" property="sendGiftCertificateEmails" value="true"/> yes
					&nbsp;&nbsp;
					<html:radio name="sendEmailsForm" property="sendGiftCertificateEmails" value="false"/> no
				</td>
			</tr>
		</table>
		<logic:equal name="editPermission" value="true">
			<br/><br/>
			<div class="sendEmailsButton">
				<input type="submit" class="button" name="sendEmailsSubmit" value="<bean:message key="order.sendEmails" bundle="/order"/>" />
			</div>
		</logic:equal>
	</html:form>

</div>

<%-- Send out the emails --%>
<ssc:insert attribute="sendEmails" />

<!-- End orderEditForm.jsp -->
