<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>
<bean:define id="customerURL" name="settings" property="value(customerURL)"/>

<!-- Start categoryLinks.jsp -->
<ul class="adminLinks">
	<c:if test="${!category.isContentPage}">
		<li<c:if test="${screen eq 'product.categoryOverviewLayout'}"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/CategoryOverview.do")%>?categoryID=<c:out value="${category.categoryID}"/>">
				Overview
			</a>
		</li>
	</c:if>
	<li<c:if test="${screen eq 'product.categoryEditFormLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/CategoryEditForm.do")%>?categoryID=<c:out value="${category.categoryID}"/>">
			Details
		</a>
	</li>
	<logic:present role="superuser,administrator,productView,productEdit">
		<li<c:if test="${screen eq 'product.productLayout'
						or screen eq 'product.productAddFormLayout'
						or screen eq 'product.productEditFormLayout'
						or screen eq 'product.optionLayout'}"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?categoryID=<c:out value="${category.categoryID}"/>&assignments=assigned">
				Products
			</a>
		</li>
	</logic:present>
	<li<c:if test="${screen eq '/WEB-INF/templates/administrator/default/product/categorySettingsOther.jsp'}"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/CategorySettingsOther.do")%>?categoryID=<c:out value="${category.categoryID}"/>">
			Settings
		</a>
	</li>
	<li<c:if test="${screen eq '/WEB-INF/templates/administrator/default/product/categorySettingsGeneral.jsp'}"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/CategorySettingsGeneral.do")%>?categoryID=<c:out value="${category.categoryID}"/>">
			Custom Settings
		</a>
	</li>
</ul>
<!-- End categoryLinks.jsp -->
