<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>

<!-- Start discountLinks.jsp -->
<ul class="adminLinks">
	<li<c:if test="${screen eq 'product.discountEditFormLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/DiscountEditForm.do")%>?discountID=<c:out value="${discount.discountID}"/>">
			Details
		</a>
	</li>
	<logic:present role="superuser,administrator,skuView,skuEdit">
		<li<c:if test="${screen eq 'product.skuLayout' }"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/SKU.do")%>?discountID=<c:out value="${discount.discountID}"/>&amp;assignments=assigned&amp;parentIDField=discountID">
				SKUs
			</a>
		</li>
	</logic:present>
	<li<c:if test="${screen eq 'product.discountRangeLayout'
				 or screen eq 'product.discountRangeAddFormLayout'
				 or screen eq 'product.discountRangeEditFormLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/DiscountRange.do")%>?discountID=<c:out value="${discount.discountID}"/>">
			Discount Ranges
		</a>
	</li>
</ul>
<!-- End discountLinks.jsp -->
