<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start luceneForm.jsp -->

<div class="instructions">
	This form allows you to reindex the advanced search index used to perform advanced search
	queries. To turn on advanced search in the store, visit the <a href="SettingsAdvancedSearch.do">Advanced Search Settings</a>
	screen and set the "Use Advanced Search" setting to on. After your products, categories, and
	manufacturers have been entered, run this reindex function to create or update the index
	that is used to return the search results for customers.
</div>

<br/>

<!-- Reindex Form -->
<html:form action="/LuceneAddAll" method="post">
	<input type="submit" class="button" name="addAllLuceneSubmit" value="<bean:message key="product.luceneAddAll" bundle="/product"/>" />
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Find Out More About Advanced Search">
				<p>For more details about using Advanced Search, please visit the 
				<a href="http://www.softslate.com/documentation/html/advancedSearchWithLucene.html">Advanced Search With Lucene section</a> of the User Guide.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End luceneForm.jsp -->
