<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>

<!-- Start skuLinks.jsp -->
<ul class="adminLinks">
	<li<c:if test="${screen eq 'product.skuEditFormLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/SKUEditForm.do")%>?skuID=<c:out value="${sku.skuID}"/>">
			Details
		</a>
	</li>
	<logic:present role="superuser,administrator,discountView,discountEdit">
		<li<c:if test="${screen eq 'product.discountLayout'
						 or screen eq 'product.discountAddFormLayout'
						 or screen eq 'product.discountEditFormLayout'
						or screen eq 'product.discountRangeLayout'
						 or screen eq 'product.discountRangeAddFormLayout'
						 or screen eq 'product.discountRangeEditFormLayout'}"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/Discount.do")%>?skuID=<c:out value="${sku.skuID}"/>&amp;parentIDField=skuID&amp;assignments=assigned">
				Discounts
			</a>
		</li>
	</logic:present>
	<logic:present role="superuser,administrator,shippingView,shippingEdit">
		<li<c:if test="${screen eq 'shipping.shippingRuleLayout' }"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/ShippingRule.do")%>?skuID=<c:out value="${sku.skuID}"/>&amp;assignments=assigned&amp;parentIDField=skuID">
				Shipping Rules
			</a>
		</li>
	</logic:present>
</ul>
<!-- End skuLinks.jsp -->
