<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<% java.util.Calendar now = java.util.Calendar.getInstance(); %>
<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>

<h5><bean:message key="paymentForms.ccHeading" bundle="/order" /></h5>

<c:if test="${settings.map.deriveCreditCardTypeFromNumber eq '0'}">
	<div class="form-group">
		<label for="creditCardType" class="requiredLabel col-sm-4"><bean:message key="paymentForms.ccType" bundle="/order" /></label>
		<div class="col-sm-8">
			<html:select styleClass="form-control" styleId="creditCardType" name="${thisForm}" property="creditCardType">
				<html:option value="VISA">Visa</html:option>
				<html:option value="MASTERCARD">MasterCard</html:option>
				<html:option value="AMEX">American Express</html:option>
				<html:option value="DISCOVER">Discover</html:option>
			</html:select>
		</div>
	</div>
</c:if>

<div class="form-group">
	<label for="decryptedNumber" class="requiredLabel col-sm-4"><bean:message key="paymentForms.ccNumber" bundle="/order" /></label>
	<div class="col-sm-8">
		<html:text styleClass="form-control" styleId="decryptedNumber" name="${thisForm}" property="decryptedNumber" maxlength="16" />
	</div>
</div>

<div class="form-group">
	<label for="creditCardSecurityCode" class="requiredLabel col-sm-4"><bean:message key="paymentForms.ccSecurityCode" bundle="/order" /></label>
	<div class="col-sm-8">
		<html:text styleClass="form-control" styleId="creditCardSecurityCode" name="${thisForm}" property="creditCardSecurityCode" size="4" maxlength="4" />
		(<a href="${customerURL}/images/creditCardCodeWhatsThis.gif" onclick="window.open('${customerURL}/images/creditCardCodeWhatsThis.gif','whatsthis','scrollbars=yes,width=400,height=200');return(false);"><bean:message key="paymentForms.ccWhatsThis" bundle="/order" /></a>)
	</div>
</div>

<div class="form-group">
	<label for="creditCardExpirationMonth" class="requiredLabel col-sm-4"><bean:message key="paymentForms.ccExpirationMonth" bundle="/order" /></label>
	<div class="col-sm-8">
		<html:select styleClass="form-control" styleId="creditCardExpirationMonth" name="${thisForm}" property="creditCardExpirationMonth">
			<html:option value="01">1</html:option>
			<html:option value="02">2</html:option>
			<html:option value="03">3</html:option>
			<html:option value="04">4</html:option>
			<html:option value="05">5</html:option>
			<html:option value="06">6</html:option>
			<html:option value="07">7</html:option>
			<html:option value="08">8</html:option>
			<html:option value="09">9</html:option>
			<html:option value="10">10</html:option>
			<html:option value="11">11</html:option>
			<html:option value="12">12</html:option>
		</html:select>
	</div>
</div>

<div class="form-group">
	<label for="creditCardExpirationYear" class="requiredLabel col-sm-4"><bean:message key="paymentForms.ccExpirationYear" bundle="/order" /></label>
	<div class="col-sm-8">
		<html:select styleClass="form-control" styleId="creditCardExpirationYear" name="${thisForm}" property="creditCardExpirationYear">
			<html:option value="${thisYear}">${thisYear}</html:option>
			<html:option value="${thisYear + 1}">${thisYear + 1}</html:option>
			<html:option value="${thisYear + 2}">${thisYear + 2}</html:option>
			<html:option value="${thisYear + 3}">${thisYear + 3}</html:option>
			<html:option value="${thisYear + 4}">${thisYear + 4}</html:option>
			<html:option value="${thisYear + 5}">${thisYear + 5}</html:option>
			<html:option value="${thisYear + 6}">${thisYear + 6}</html:option>
			<html:option value="${thisYear + 7}">${thisYear + 7}</html:option>
			<html:option value="${thisYear + 8}">${thisYear + 8}</html:option>
			<html:option value="${thisYear + 9}">${thisYear + 9}</html:option>
		</html:select>
	</div>
</div>

<div class="form-group">

	<%--Captcha Verification--%>
	<c:choose>
		<c:when test="${settings.map.useImageVerificationWithCCInfo eq '1' and settings.map.useLegacyCaptchaMethod eq '1'}">
			<br /><br />
			<div id="challengeImageAndInstructions">
				<img class="challengeImage img-responsive" alt="Challenge Image" src="${secureURL}/Jcaptcha.do"/><br/>
				<bean:message key="security.textFromImageInstructions" />
			</div>
			<br /><br />
			<label for="textFromImage" class="requiredLabel"><bean:message key="security.textFromImage" /></label>
			<input type="text" id="textFromImage" name="textFromImage" class="textbox"/>
			<br /><br />
		</c:when>
		<c:when test="${settings.map.useImageVerificationWithCCInfo eq '1'}">
			<script src="https://www.google.com/recaptcha/api.js" async defer></script>
			<div class="g-recaptcha" data-sitekey="${settings.map.recaptchaSiteKey}"></div><br />
		</c:when>
	</c:choose>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
