<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<ssc:useAttribute name="listCollection" ignore="true"/>
<ssc:useAttribute name="maxNumberOfColumns" ignore="true"/>
<ssc:useAttribute name="relatedProductList" ignore="true"/>
<c:if test="${empty listCollection}">
	<logic:present name="productListCollection">
		<c:set var="listCollection" value="${productListCollection}"/>
	</logic:present>
</c:if>
<c:if test="${empty relatedProductList}">
	<c:set var="relatedProductList" value="false"/>
</c:if>
<c:if test="${empty maxNumberOfColumns}">
	<c:set var="maxNumberOfColumns" value="${settings.map.productListNumberOfColumns}"/>
</c:if>
<c:set var="displayAddToCart" value="${settings.map.displayAddToCartOnListPages}"/>
<c:if test="${empty categoryParam}">
	<c:set var="categoryParam" value=""/>
</c:if>
<c:if test="${!empty listCollection}">
	<div class="productList columnList">
		<c:set var="count" value="0"/>
		<logic:iterate name="listCollection" id="object" indexId="index">
			<ssc:insert page="/WEB-INF/layouts/default-html5/product/productListProduct.jsp" flush="false">
				<ssc:put name="object" beanName="object"/>
				<ssc:put name="index" beanName="index"/>
				<ssc:put name="maxNumberOfColumns" value="${maxNumberOfColumns}"/>
				<ssc:put name="relatedProductList" value="${relatedProductList}"/>
			</ssc:insert>
		</logic:iterate>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
