<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="page-header">
	<h1 class="name pageTitle"><c:out value="${product.name}" escapeXml="false"/></h1>
</div>
<div class="col-xs-12 col-md-6">
<div id="productReviewSubmission" class="panel panel-primary flush">
	<div class="panel-heading">
		<h3 class="panel-title"><bean:message key="product.submitYourReview" bundle="/product"/></h3>
	</div>
	<div class="panel-body">
	<form name="productReviewForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/ProductReviewProcess.do")%>" method="POST" enctype="multipart/form-data">
		<html:hidden name="productReviewForm" property="code"/>
		
		<div class="form-group">
			<label for="nickname"><bean:message key="product.nickname" bundle="/product"/></label>
			<input type="text" name="nickname" value="${productReviewForm.firstName}" class="form-control"/>
		</div>
		
		<div class="form-group">
			<label for="rating"><bean:message key="product.rating" bundle="/product"/></label>
			<html:select styleClass="form-control" name="productReviewForm" property="rating">
				<html:option value="5"><bean:message key="product.reviewRating5" bundle="/product"/></html:option>
				<html:option value="4"><bean:message key="product.reviewRating4" bundle="/product"/></html:option>
				<html:option value="3"><bean:message key="product.reviewRating3" bundle="/product"/></html:option>
				<html:option value="2"><bean:message key="product.reviewRating2" bundle="/product"/></html:option>
				<html:option value="1"><bean:message key="product.reviewRating1" bundle="/product"/></html:option>
			</html:select>
		</div>
		
		<div class="form-group">
			<label for="review"><bean:message key="product.review" bundle="/product"/></label>
			<html:textarea name="productReviewForm" property="review" styleClass="form-control"/>
		</div>	
		
		<span id="reviewButton" class="buttonWrap"><input type="submit" name="submit" class="btn btn-primary" value="<bean:message key="product.submitReview" bundle="/product"/>"/></span>
	</form>
	</div>
</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
