package com.softslate.commerce.businessobjects.core;

import java.util.Collection;
import java.util.Map;

import com.google.gson.ExclusionStrategy;
import com.google.gson.FieldAttributes;

public class BasicJsonExclusionStrategy extends BaseBusinessProcessor implements ExclusionStrategy,
		JsonExclusionStrategy {

	public boolean shouldSkipField(FieldAttributes f) {
		return Collection.class.equals(f.getDeclaredClass())
				|| (Map.class.equals(f.getDeclaredClass()) && !"jsonResult".equals(f.getName()));
	}

	public boolean shouldSkipClass(Class<?> arg0) {
		return false;
	}
}
