package com.softslate.commerce.businessobjects.payment.cresecure;


public class CRESecureAuthorizationResult {

	/*
	 * Response Data
	 * 
	 * code The response code. 000 indicates success. message The response
	 * message. For example, success or error description. TxnGUID The
	 * transaction ID from the gateway. ApprovalCode The approval code from the
	 * gateway. ERROR Indicates that there was an error processing your request.
	 * 
	 * Forcing all to lower case when setting to avoid non-uniform
	 * capitalization issues shown in their docs
	 */

	private String code = null;
	private String message = null;
	private String txnguid = null;
	private String approvalcode = null;
	private String error = null;

	// Undocumented fields returned we can use. mPAN holds the actual CC?
	private String mpan = null;
	private String type = null;
	private String exp = null;
	private String name = null;

	public CRESecureAuthorizationResult() {

	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getTxnguid() {
		return txnguid;
	}

	public void setTxnguid(String txnguid) {
		this.txnguid = txnguid;
	}

	public String getApprovalcode() {
		return approvalcode;
	}

	public void setApprovalcode(String approvalcode) {
		this.approvalcode = approvalcode;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public String getMpan() {
		return mpan;
	}

	public void setMpan(String mpan) {
		this.mpan = mpan;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getExp() {
		return exp;
	}

	public void setExp(String exp) {
		this.exp = exp;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
