<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start upgrades.jsp -->

<table class="settingsTable">
	<tr>
		<td class="setting">Application Version:</td><td class="value"><c:out value="${requestScope.applicationVersion}"/></td>
	</tr>
	<tr>
		<td class="setting">Data Objects Version:</td><td class="value"><c:out value="${applicationScope.settings.map.dataObjectsVersion}"/></td>
	</tr>
</table>

<c:if test="${empty upgrades}">
	<div id="upgrades">
		<h2 class="administratorHeading">No Upgrades to Run</h2>
	</div>
</c:if>

<c:if test="${!empty upgrades}">
	<div id="upgrades">
		<html:form action="/UpgradesProcess" method="post">
			<h2 class="administratorHeading">Upgrades Found</h2>
			<table class="chart">
				<tr>
					<th>Run</th>
					<th>From Version</th>
					<th>To Version</th>
					<th>Database Types</th>
				</tr>
			    <logic:iterate name="upgrades" id="upgrade">
					<tr>
						<td>
							<input type="checkbox" name="upgrades" value="<c:out value="${upgrade.upgradeFromVersion}"/>_<c:out value="${upgrade.upgradeToVersion}"/>_<c:out value="${upgrade.databaseType}"/>" checked="checked"/>
						</td>
						<td>
							<c:out value="${upgrade.upgradeFromVersion}"/>
						</td>
						<td>
							<c:out value="${upgrade.upgradeToVersion}"/>
						</td>
						<td>
							<c:out value="${upgrade.databaseType}"/>
						</td>
					</tr>
			    </logic:iterate>
			</table>
			<br/>
			<c:if test="${editPermission eq 'true'}">
		    	<div class="saveSettings">
					<input type="submit" class="button" value="<bean:message key="administrator.upgrade" bundle="/administrator/administrator"/>"/>
				</div>
			</c:if>
		</html:form>
	</div>
</c:if>

<!-- End upgrades.jsp -->
