<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>

<!-- Start customerLinks.jsp -->
<ul class="adminLinks">
	<li<c:if test="${screen eq 'customer.customerEditFormLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/CustomerEditForm.do")%>?customerID=<c:out value="${customer.customerID}"/>">
			Details
		</a>
	</li>
	<logic:present role="superuser,administrator,customerAddressView,customerAddressEdit">
		<li<c:if test="${screen eq 'customer.customerAddressLayout' 
			or screen eq 'customer.customerAddressAddFormLayout'
			or screen eq 'customer.customerAddressEditFormLayout'}"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/CustomerAddress.do")%>?customerID=<c:out value="${customer.customerID}"/>">
				Delivery Addresses
			</a>
		</li>
	</logic:present>
	<logic:present role="superuser,administrator,customerWishListView,customerWishListEdit">
		<li class="enterpriseFeature"<c:if test="${screen eq 'customer.customerWishListLayout' 
			or screen eq 'customer.customerWishListAddFormLayout'
			or screen eq 'customer.customerWishListEditFormLayout'}"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/CustomerWishList.do")%>?customerID=<c:out value="${customer.customerID}"/>">
				Wish Lists
			</a>
		</li>
	</logic:present>
	<logic:present role="superuser,administrator,requestLogEdit,requestLogView">
		<li class="enterpriseFeature"<c:if test="${screen eq 'core.requestLogLayout' 
			or screen eq 'core.requestLogAddFormLayout'
			or screen eq 'core.requestLogEditFormLayout'}"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/RequestLog.do")%>?parentCustomerID=<c:out value="${customer.customerID}"/>&parentIDField=parentCustomerID">
				Request Log
			</a>
		</li>
	</logic:present>
	<logic:present role="superuser,administrator,emailEdit,emailView">
		<li class="enterpriseFeature<c:if test="${screen eq 'email.emailLayout' 
			or screen eq 'email.emailAddFormLayout'
			or screen eq 'email.emailEditFormLayout'}"> active</c:if>">
			<a href="<%=response.encodeURL(administratorURL + "/Email.do")%>?parentCustomerID=<c:out value="${customer.customerID}"/>&parentIDField=parentCustomerID">
				Emails
			</a>
		</li>
	</logic:present>
</ul>
<!-- End customerLinks.jsp -->
	
