<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start orderMultiplePrint.jsp -->
<bean:define id="selectedArray" name="mainForm" property="selectedID" type="java.lang.String[]" />
<% java.util.Collection selectedCollection = java.util.Arrays.asList(selectedArray); %>
<c:set var="countOrders" value="0"/>

<p class="instructions dontPrint">
	<input type="button" onclick="window.print();return false" value="<bean:message key="order.print" bundle="/order" />"/>
</p>
<hr class="dontPrint"/>

<logic:iterate name="orders" id="order" indexId="i">
	<bean:define id="orderID" name="order" property="orderID" />
	<% String stringOrderID = orderID.toString(); %>
	<% if (selectedCollection.contains(stringOrderID)) { %>
		<c:set var="order" value="${order}" scope="request"/>
		<c:set var="countOrders" value="${countOrders + 1}"/>
		<c:forTokens var="template" varStatus="current" items="${mainForm.withSelectedPrint}" delims="|">
			<c:set var="adminTemplate" scope="request" value="${template}"/>
			<c:set var="templateFile" value="/WEB-INF/templates/administrator/default/print/${template}.jsp"/>
			<c:set var="headingFile" value="/WEB-INF/templates/administrator/default/print/${template}Heading.jsp"/>
			<c:set var="orderDetailsFile" value="/WEB-INF/layouts/default/order/orderDetails.jsp"/>
			<div style="page-break-after: always">
				<% String templateFile = (String) pageContext.getAttribute("templateFile"); %>
				<% String headingFile = (String) pageContext.getAttribute("headingFile"); %>
				<% String orderDetailsFile = (String) pageContext.getAttribute("orderDetailsFile"); %>
				<ssc:insert page="<%= templateFile %>" flush="false">
					<tiles:put name="invoiceHeading" value="<%= headingFile %>" />
					<tiles:put name="heading" value="<%= headingFile %>" />
					<tiles:put name="orderDetails" value="<%= orderDetailsFile %>" />
				</ssc:insert>
			</div>
		</c:forTokens>
	<% } %>
</logic:iterate>

<br/><br/>
<hr/>
<br/><br/>

<div id="multiplePrintFooter">
	<p class="instructions">
		<b>Orders Shown:</b> <c:out value="${countOrders}"/>
	</p>
	<p class="instructions">
		Please verify that the number of shown orders, the number of printed orders, and the number of expected printed orders match.
	</p>
	<p class="instructions dontPrint">
		<input type="button" onclick="window.print();return false" value="<bean:message key="order.print" bundle="/order" />"/>
	</p>
</div>
<!-- End orderMultiplePrint.jsp -->
